Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.expression
Class ExpressionHelper.ParseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--java.lang.IllegalArgumentException
                              |
                              +--com.bea.p13n.content.expression.ExpressionHelper.ParseException

All Implemented Interfaces:
  Serializable

Enclosing class:
  ExpressionHelper

public static class ExpressionHelper.ParseException
extends IllegalArgumentException

Exception to report an error while parsing a query expression.

See Also:
  Serialized Form

Field Summary
`int` | `column` The column number of the error.
`int` | `line` The line number of the error.
`String` | `token` The possible error token.

Constructor Summary
`ExpressionHelper.ParseException(String mesg, int line, int column, String token)` Constructor.

Method Summary
`String` | `getMessage()` Get the exception message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### line

    public int line

  The line number of the error.

  Less than 0 for unknown.

### column

    public int column

  The column number of the error.

  Less than 0 for unknown.

### token

    public String token

  The possible error token.

  Null for unknown.

Constructor Detail

### ExpressionHelper.ParseException

    public ExpressionHelper.ParseException(String mesg,
                                           int line,
                                           int column,
                                           String token)

  Constructor.

Method Detail

### getMessage

    public String getMessage()

  Get the exception message.

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved